require 'spec_helper'

describe SuchMeta::Fetcher do
  subject { SuchMeta::Fetcher.new(tag_type) }
  let(:tag_type) { :title }

  context 'tag type is provided' do
    it 'returns appropriate tag type' do
      expect(subject.tag_type).to eq(tag_type)
    end
  end

  describe '#call' do
    subject { SuchMeta::Fetcher.new(tag_type).call }

    it 'throws an error' do
      expect { subject }.to raise_error(SuchMeta::OverrideInSubclassError)
    end
  end
end
