# coding: utf-8
lib = File.expand_path('../lib', __FILE__)

$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'such_meta/version'

Gem::Specification.new do |spec|
  spec.name          = 'such_meta'
  spec.version       = SuchMeta::VERSION
  spec.authors       = ['Anisha Vasandani', 'PJ Kelly']
  spec.email         = ['anisha@crushlovely.com', 'pj@crushlovely.com']
  spec.summary       = 'Simple SEO meta tag helper that offers customization and internationalization.'
  spec.description   = 'Simple SEO meta tag helper that offers customization and internationalization.'
  spec.homepage      = 'https://github.com/crushlovely/such_meta'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'actionpack'
  spec.add_dependency 'i18n'

  spec.add_development_dependency 'rails', '~> 4.2.0'
  spec.add_development_dependency 'bundler', '~> 1.7'
  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'rake', '~> 10.4.2'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'rubocop'
  spec.add_development_dependency 'guard'
  spec.add_development_dependency 'guard-rspec'
  spec.add_development_dependency 'guard-rubocop'
  spec.add_development_dependency 'codeclimate-test-reporter'
end
