require 'spec_helper'

describe SuchMeta::OverrideHashFetcher do
  subject { SuchMeta::OverrideHashFetcher.new(tag_type, :title => 'custom title') }
  let(:tag_type) { :title }

  context 'custom hash is provided' do
    describe '#call' do
      it 'returns overriden value of hash' do
        expect(subject.call).to eq('custom title')
      end
    end
  end
end
